From: "Manuel Rüger" <mrueg@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/yarn/
Date: Wed, 19 Jul 2017 17:15:51 +0000 (UTC) [thread overview]
Message-ID: <1500484474.f89419b65985cdaff454830e41c8a4e6fa01ba84.mrueg@gentoo> (raw)
commit: f89419b65985cdaff454830e41c8a4e6fa01ba84
Author: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 19 17:14:34 2017 +0000
Commit: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Wed Jul 19 17:14:34 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f89419b6
sys-apps/yarn: Version bump to 0.27.5
Package-Manager: Portage-2.3.6, Repoman-2.3.3
sys-apps/yarn/Manifest | 1 +
sys-apps/yarn/yarn-0.27.5.ebuild | 31 +++++++++++++++++++++++++++++++
2 files changed, 32 insertions(+)
diff --git a/sys-apps/yarn/Manifest b/sys-apps/yarn/Manifest
index 7baf5551382..1ce76f318ea 100644
--- a/sys-apps/yarn/Manifest
+++ b/sys-apps/yarn/Manifest
@@ -1 +1,2 @@
DIST yarn-v0.21.3.tar.gz 3408603 SHA256 0946a4d1abc106c131b700cc31e5c3aa5f2205eb3bb9d17411f8115354a97d5d SHA512 dad7181c78dd1aaf2b07ff32055a8442b55ff9b68a73cf611f4142d612e95f43dcd376e6f2306a4cccc5249680bb82365a7e9ee3160e5c5083f50ee0791a448d WHIRLPOOL f96e16e6112f23efe1f6609e2f5c674e20e033725374116929cceca319c5dad8f65a3cb667d43f5d00fdf46b46ee41eb4038e6998ffe6f6aea9d13d910258c55
+DIST yarn-v0.27.5.tar.gz 816114 SHA256 f0f3510246ee74eb660ea06930dcded7b684eac2593aa979a7add84b72517968 SHA512 a21615f3bf4996d6e2dc84b54c3e9ca8a58143941a80771121f6eb6f5dcf8fd655e1c9b9420e7a0ab3a7c26ecd6bdd3790451d76435d7e3d6fbb5ba8ac729dbd WHIRLPOOL e21887c715c72c490c58817ca0a6542899f4036ccd81fedfab4f751b13eca6196f82236d206f7a58d550e78f0bff4dac08fbfc44f287e2463ad119042b98a83b
diff --git a/sys-apps/yarn/yarn-0.27.5.ebuild b/sys-apps/yarn/yarn-0.27.5.ebuild
new file mode 100644
index 00000000000..631ba960a31
--- /dev/null
+++ b/sys-apps/yarn/yarn-0.27.5.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="Fast, reliable, and secure node dependency management"
+HOMEPAGE="https://yarnpkg.com"
+SRC_URI="https://github.com/yarnpkg/yarn/releases/download/v${PV}/yarn-v${PV}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="!dev-util/cmdtest
+ net-libs/nodejs"
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}/dist"
+
+src_install() {
+ local install_dir="/usr/$(get_libdir)/node_modules/yarn" path
+ insinto "${install_dir}"
+ doins -r .
+ dosym "../$(get_libdir)/node_modules/yarn/bin/yarn.js" "/usr/bin/yarn"
+ fperms a+x "${install_dir}/bin/yarn.js"
+ while read -r -d '' path; do
+ [[ $(head -n1 "${path}") == \#\!* ]] || continue
+ chmod +x "${path}" || die #614094
+ done < <(find "${ED}" -type f -print0)
+}
next reply other threads:[~2017-07-19 17:15 UTC|newest]
Thread overview: 55+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-07-19 17:15 Manuel Rüger [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-07-31 3:08 [gentoo-commits] repo/gentoo:master commit in: sys-apps/yarn/ Zac Medico
2024-05-11 15:16 Arthur Zamarin
2024-03-31 0:02 Zac Medico
2024-02-28 2:57 Zac Medico
2024-02-28 2:57 Zac Medico
2024-02-28 2:57 Zac Medico
2022-05-13 22:04 Zac Medico
2022-05-13 22:01 Zac Medico
2021-12-05 19:08 Zac Medico
2021-10-17 4:31 Zac Medico
2021-08-13 6:51 Agostino Sarubbo
2020-10-06 14:00 Sam James
2020-10-06 4:55 Sam James
2020-10-04 19:26 Zac Medico
2020-08-30 21:40 Zac Medico
2020-06-26 15:17 William Hubbs
2020-06-26 15:17 William Hubbs
2020-06-26 15:17 William Hubbs
2020-03-11 5:03 Zac Medico
2020-03-01 2:41 Zac Medico
2020-02-13 22:00 Zac Medico
2019-12-30 0:21 Zac Medico
2019-12-30 0:19 Zac Medico
2019-11-22 18:16 Zac Medico
2019-10-18 4:39 Zac Medico
2019-10-06 17:55 Zac Medico
2019-08-08 1:53 Zac Medico
2019-05-14 8:20 Manuel Rüger
2019-03-17 21:12 Zac Medico
2019-03-17 19:34 Zac Medico
2019-03-17 19:29 Zac Medico
2019-01-19 1:45 Zac Medico
2019-01-18 19:25 Zac Medico
2018-11-14 18:49 William Hubbs
2018-10-16 14:50 William Hubbs
2018-08-14 20:29 William Hubbs
2018-06-18 18:25 Zac Medico
2018-06-18 18:20 Zac Medico
2018-05-12 17:48 Michał Górny
2018-03-28 18:00 William Hubbs
2018-01-04 12:21 Manuel Rüger
2017-11-02 21:54 Manuel Rüger
2017-11-02 21:54 Manuel Rüger
2017-10-09 16:55 Manuel Rüger
2017-09-15 11:04 Manuel Rüger
2017-09-10 10:37 Manuel Rüger
2017-08-12 13:28 Michael Palimaka
2017-07-17 17:11 Göktürk Yüksek
2017-04-29 0:40 Zac Medico
2017-03-07 21:12 Göktürk Yüksek
2017-03-07 21:12 Göktürk Yüksek
2017-01-15 4:28 Göktürk Yüksek
2016-12-11 2:31 Göktürk Yüksek
2016-12-09 9:04 Göktürk Yüksek
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1500484474.f89419b65985cdaff454830e41c8a4e6fa01ba84.mrueg@gentoo \
--to=mrueg@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox